Loading...
Searching...
No Matches
OracleSqlUtilBase::OracleType Class Reference

represents an Oracle type More...

Inheritance diagram for OracleSqlUtilBase::OracleType:
[legend]

## Public Member Functions

string | getDropSql (*hash opt)
| returns a string that can be used to drop the type from the database
Public Member Functions inherited from OracleSqlUtilBase::OracleCodeBaseNoRename
| constructor (string n, string n_type, string n_src)
| creates the object from the arguments passed
softlist | getRenameSql (string new_name, *hash opt)
| returns a string that can be used to rename the object in the database
Public Member Functions inherited from OracleSqlUtilBase::OracleCodeBase
| constructor (string n, string n_type, string n_src)
| creates the object from the arguments passed
bool | equalImpl (AbstractFunctionBase t)
| returns True if the argument is equal to the current object, False if not
softlist | getCreateSql (*hash opt)
| returns a string that can be used to create the object in the database
softlist | getRenameSql (string new_name, *hash opt)
| returns a string that can be used to rename the object in the database

## Detailed Description

represents an Oracle type

## Member Function Documentation

## getDropSql()

string OracleSqlUtilBase::OracleType::getDropSql | ( | *hash | opt | ) |

returns a string that can be used to drop the type from the database

Parameters

  opt | drop options; if force is True, then the `FORCE` option will be used in the drop statement